#delimit;

/* Does almost exactly the same job as summarize, except you can save
*  the statistics that are computed using summstore.
* 
*  Version 1.0, Doug McKee, dmckee@ucla.edu, 20jun2008
*/

capture program drop summ2;
program summ2 ,rclass;
	syntax varlist(min=1) [if] [in] [aweight fweight iweight];

	return local varlist `"`varlist'"';

	foreach v in `varlist' {;
	    if "`weight'"=="" qui summ `v' `if' `in' ,det;
	    else qui summ `v' `if' `in' [`weight'`exp'] ,det;
	    return scalar N_`v' = r(N);
	    return scalar mean_`v' = r(mean);
	    return scalar sd_`v' = r(sd);
	    return scalar p50_`v' = r(p50);
	};
	if "`weight'"=="" summ `varlist' `if' `in';
	else summ `varlist' `if' `in' [`weight'`exp'];
end;
