#delimit;

/* Saves the summary statistics computed by summ2 and misumm for later
*  display by summout.
*
*  Version 1.0, Doug McKee, dmckee@ucla.edu, 20jun2008
*/

capture program drop summstore;
program summstore;
	args name;

	local varlist `"`r(varlist)'"';
	global SS_`name'_varlist `"`varlist'"';
	foreach v in `varlist' {;
	    local mean_v = r(mean_`v');
	    global SS_`name'_mean_`v' = `mean_v';

	    local sd_v = r(sd_`v');
	    global SS_`name'_sd_`v' = `sd_v';

	    local p50_v = r(p50_`v');
	    global SS_`name'_p50_`v' = `p50_v';

	    local N_v = r(N_`v');
	    global SS_`name'_N_`v' = `N_v';

        };
end;
